## NMSettingOvsBridge NMSettingOvsBridge — Describes connection properties for Open vSwitch bridges. |

## Functions

NMSetting * | nm_setting_ovs_bridge_new ()
const char * | nm_setting_ovs_bridge_get_fail_mode ()
gboolean | nm_setting_ovs_bridge_get_mcast_snooping_enable ()
gboolean | nm_setting_ovs_bridge_get_rstp_enable ()
gboolean | nm_setting_ovs_bridge_get_stp_enable ()

## Types and Values

#define | NM_SETTING_OVS_BRIDGE_SETTING_NAME
#define | NM_SETTING_OVS_BRIDGE_FAIL_MODE
#define | NM_SETTING_OVS_BRIDGE_MCAST_SNOOPING_ENABLE
#define | NM_SETTING_OVS_BRIDGE_RSTP_ENABLE
#define | NM_SETTING_OVS_BRIDGE_STP_ENABLE

## Description

The NMSettingOvsBridge object is a NMSetting subclass that describes properties necessary for Open vSwitch bridges.

## Functions

### nm_setting_ovs_bridge_new ()

    NMSetting *
    nm_setting_ovs_bridge_new (void);

Creates a new NMSettingOvsBridge object with default values.

#### Returns

the new empty NMSettingOvsBridge object.

[transfer full]

Since: 1.10

### nm_setting_ovs_bridge_get_fail_mode ()

    const char *
    nm_setting_ovs_bridge_get_fail_mode (NMSettingOvsBridge *self);

#### Parameters

self | the NMSettingOvsBridge |

#### Returns

the “fail_mode” property of the setting

Since: 1.10

### nm_setting_ovs_bridge_get_mcast_snooping_enable ()

    gboolean
    nm_setting_ovs_bridge_get_mcast_snooping_enable
                                   (NMSettingOvsBridge *self);

#### Parameters

self | the NMSettingOvsBridge |

#### Returns

the “mcast_snooping_enable” property of the setting

Since: 1.10

### nm_setting_ovs_bridge_get_rstp_enable ()

    gboolean
    nm_setting_ovs_bridge_get_rstp_enable (NMSettingOvsBridge *self);

#### Parameters

self | the NMSettingOvsBridge |

#### Returns

the “rstp_enable” property of the setting

Since: 1.10

### nm_setting_ovs_bridge_get_stp_enable ()

    gboolean
    nm_setting_ovs_bridge_get_stp_enable (NMSettingOvsBridge *self);

#### Parameters

self | the NMSettingOvsBridge |

#### Returns

the “stp_enable” property of the setting

Since: 1.10

## Types and Values

### NM_SETTING_OVS_BRIDGE_SETTING_NAME

    #define NM_SETTING_OVS_BRIDGE_SETTING_NAME          "ovs-bridge"

### NM_SETTING_OVS_BRIDGE_FAIL_MODE

    #define NM_SETTING_OVS_BRIDGE_FAIL_MODE             "fail-mode"

### NM_SETTING_OVS_BRIDGE_MCAST_SNOOPING_ENABLE

    #define NM_SETTING_OVS_BRIDGE_MCAST_SNOOPING_ENABLE "mcast-snooping-enable"

### NM_SETTING_OVS_BRIDGE_RSTP_ENABLE

    #define NM_SETTING_OVS_BRIDGE_RSTP_ENABLE           "rstp-enable"

### NM_SETTING_OVS_BRIDGE_STP_ENABLE

    #define NM_SETTING_OVS_BRIDGE_STP_ENABLE            "stp-enable"